<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">

<head>
	<meta charset="utf-8">
	<meta http-equiv="x-ua-compatible" content="ie=edge">
	<title>Roles</title>
	<meta name="viewport" content="width=device-width, initialscale=1">
	<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bo
otstrap.min.css" integrity="sha384-
MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
	<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.4.1/css/all.css" integrity="sha384-
5sAR7xN1Nv6T6+dT2mhtzEpVJvfS3NScPQTrOxhwjIuvcA67KV2R5Jz6kr4abQsz" crossorigin="anonymous">
	<!-- <link rel="stylesheet" href="../css/shards.min.css"> -->
</head>

<body>
	<div class="container my-2">
		<div class="card">
			<div class="card-body">
				<div th:switch="${users}" class="container my-5">
					<div class="col-md-10">
						<h2 th:case="null">No Role yet!</h2>
						<div th:case="*">
							<h2>Nombre total des Users= <span th:text="${nbr}">10</span></h2>
							<table class="table table-striped table-responsive-md">
								<thead>
									<tr>
										<th>ID</th>
										<th>Name</th>
										<th>Email</th>
										<th>Role</th>
										<th>Update Role</th>
										<th>is Active</th>
										<th>Activer</th>
										<th>Désactiver</th>
									</tr>
								</thead>
								<tbody>
									<tr th:each="user : ${users}">
										<td th:text="${user.id}"></td>
										<td th:text="${user.firstName}"></td>
										<td th:text="${user.email}"></td>
										<td th:text="${user.roles[0].role}"></td>
										<td><form method="post" th:action="@{/accounts/updateRole}">
											<select name="newrole" class="form-control">
											<option value="USER">USER</option>
											<option value="ADMIN">ADMIN</option>
											<option value="SUPERADMIN">SUPERADMIN</option>
											</select>
											<br/>
											<input type="hidden" name="id" th:value="${user.id}" th:attr="name='id'"/>
											<input class="btn btn-primary" type="submit" value="Update role"/>
											</form>
											</td>
										<td th:text="${user.active}"></td>
										<td><a th:href="@{/accounts/enable/{id}/{email} (id=${user.id}, email=${user.email})}">Activer</a></td>
										<td><a th:href="@{/accounts/disable/{id}/{email} (id=${user.id}, email=${user.email})}">Désactiver</a></td>
									</tr>
								</tbody>
							</table>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</body>

</html>